Page MenuHomePhabricator

ecore-drm2: Update plane state values based on FB
ClosedPublic

Authored by devilhorns on Mar 6 2019, 9:15 AM.

Details

Summary

When we are trying to set an FB onto a plane, we need to update the
plane state values to reflect any changes in the FB. Failure to do
this will result in Atomic Commit failures as the plane state values
will not match what the FB is.

ref T7690

@fix

Depends on D8110

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
devilhorns created this revision.Mar 6 2019, 9:15 AM
cedric accepted this revision.Mar 6 2019, 10:50 AM
This revision is now accepted and ready to land.Mar 6 2019, 10:50 AM
devilhorns updated this revision to Diff 20457.Mar 12 2019, 6:20 AM
devilhorns edited the summary of this revision. (Show Details)

No changes

devilhorns updated this revision to Diff 20566.Mar 14 2019, 9:57 AM

no changes

devilhorns updated this revision to Diff 20728.Mar 19 2019, 7:22 AM
devilhorns added a reviewer: zmike.

no changes

This revision was automatically updated to reflect the committed changes.